tinymce.PluginManager.add("cosimgup", function(editor, url) {
    var pluginName = '图片上传';
    var upimg = function() {
        var input = document.createElement('input');
        var postform = document.getElementById("form");
        input.setAttribute('type', 'file');
        input.setAttribute('multiple', 'multiple');
        input.setAttribute('accept', 'image/*');
        input.setAttribute('style', 'display:none');
        postform.appendChild(input);
        input.addEventListener("change", function(e) {
            var files = this.files;
            $.each_sync(files, function(i, callback) {
                var file = files[i];
                var formData = new FormData();
                var fileName=new Date().getTime()+"."+file.name.split(".").pop();
                formData.append('tinymce-image-file', file, fileName);
                 $.ajax({
                     url: '/upload_img.htm',
                     type: 'post',
                     data: formData,
                     processData: false,
                     contentType: false,
                     dataType: 'json',
                     success: function (msg) {
                         var success=msg['success'];
                          if (success==1) {
                              var s = '<img src="' + msg["url"] + '" /><p>&nbsp;</p><p>&nbsp;</p>';
                        editor.insertContent(s);
                          } else {
                        console.log(msg);
                          }
                     }
                     });
                    callback();
                });
        }, false);
        
        input.click();
    }
    editor.ui.registry.addButton("cosimgup", {
        icon: "gallery",
        tooltip: pluginName,
        onAction: function() {
            upimg();
        }
    });
    editor.ui.registry.addMenuItem("cosimgup", {
        icon: "gallery",
        text: "本地图片",
        onAction: function() {
            upimg();
        }
    });
    return {
        getMetadata: function() {
            return {
                name: "本地图片",
                url: "http://xiuno.cn",
            }
        }
    }
});